# GCC_ConferenceJoinRequest Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_ConferenceJoinRequest:

List of all members.

## Public Types

enum | OptionalFields { e_conferenceName, e_conferenceNameModifier, e_tag, e_password, e_convenerPassword, e_callerIdentifier, e_userData }

## Public Member Functions

| GCC_ConferenceJoinRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_ConferenceNameSelector | m_conferenceName
GCC_ConferenceNameModifier | m_conferenceNameModifier
PASN_Integer | m_tag
GCC_PasswordChallengeRequestResponse | m_password
GCC_PasswordSelector | m_convenerPassword
GCC_TextString | m_callerIdentifier
GCC_UserData | m_userData

## Member Enumeration Documentation

enum GCC_ConferenceJoinRequest::OptionalFields

Enumerator:

  e_conferenceName |
  e_conferenceNameModifier |
  e_tag |
  e_password |
  e_convenerPassword |
  e_callerIdentifier |
  e_userData |

## Constructor & Destructor Documentation

GCC_ConferenceJoinRequest::GCC_ConferenceJoinRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_ConferenceJoinRequest::GetDataLength | ( |  | ) | const

PBoolean GCC_ConferenceJoinRequest::Decode | ( | PASN_Stream & | strm | ) |

void GCC_ConferenceJoinRequest::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_ConferenceJoinRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_ConferenceJoinRequest::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_ConferenceJoinRequest::Clone | ( |  | ) | const

## Member Data Documentation

GCC_ConferenceNameSelector GCC_ConferenceJoinRequest::m_conferenceName

GCC_ConferenceNameModifier GCC_ConferenceJoinRequest::m_conferenceNameModifier

PASN_Integer GCC_ConferenceJoinRequest::m_tag

GCC_PasswordChallengeRequestResponse GCC_ConferenceJoinRequest::m_password

GCC_PasswordSelector GCC_ConferenceJoinRequest::m_convenerPassword

GCC_TextString GCC_ConferenceJoinRequest::m_callerIdentifier

GCC_UserData GCC_ConferenceJoinRequest::m_userData

The documentation for this class was generated from the following file:

- gcc.h